#
# spec file for package python-dfdatetime
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define timestamp 20160323
Name:           python-dfdatetime
Version:        0~%{timestamp}
Release:        2.2
Summary:        Digital Forensics Date and Time (dfDateTime)
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/log2timeline/dfdatetime
Source:         https://github.com/log2timeline/dfdatetime/releases/download/%{timestamp}/dfdatetime-%{timestamp}.tar.gz
BuildRequires:  fdupes
BuildRequires:  pkgconfig
BuildRequires:  python-setuptools
BuildRequires:  pkgconfig(python)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
dfDateTime, or Digital Forensics date and time, provides date and time objects to preserve accuracy and precision.

%package -n python3-dfdatetime
Summary:        Digital Forensics Date and Time (dfDateTime)
Group:          Development/Languages/Python
BuildRequires:  pkgconfig
BuildRequires:  python3-setuptools
BuildRequires:  pkgconfig(python3)

%description -n python3-dfdatetime
Python3 version of dfDateTime, or Digital Forensics date and time, provides date and time objects to preserve accuracy and precision.

%prep
%setup -q -n dfdatetime-%{timestamp}

%build
python2 setup.py build
python3 setup.py build

%install
python2 setup.py install -O1 --root=%{buildroot}
python3 setup.py install -O1 --root=%{buildroot}
#delete all precombied PYO files
find %{buildroot} -name \*.pyc -delete
find %{buildroot} -name \*.pyo -delete
# these are installed into the wrong place
rm -rf %{buildroot}/usr/share/doc/dfdatetime
%fdupes %{buildroot}/%{_prefix}


%files
%defattr(-,root,root)
%doc ACKNOWLEDGEMENTS AUTHORS README LICENSE
%{python_sitelib}/dfdatetime*

%files -n python3-dfdatetime
%defattr(-,root,root)
%doc ACKNOWLEDGEMENTS AUTHORS README LICENSE
%{python3_sitelib}/dfdatetime*

%changelog
* Sat Jul 30 2016 jengelh@inai.de
- Use python macros for filelists.
  Use hardlinks for fdupes, it's cheaper.
* Thu Jul 28 2016 Greg.Freemyer@gmail.com
- initial package v0~20160323
